<div nz-row class="cotainer-init-screen" id="container">
  <div nz-col nz-resizable (nzResize)="onResizeMatDraw($event)" [nzMinColumn]="5" [nzMaxColumn]="16"
    [nzGridColumnCount]="24" [nzSpan]="colMatDraw" class="cotainer-init-screen__left-content">
    <nz-resize-handles></nz-resize-handles>
    <app-mb-tree [param]="params" [objectSearch]="objectSearch" [objFunction]="objFunction" [orgName]="orgName" [type]="type"></app-mb-tree>
  </div>
  <div nz-col [nzSpan]="24 - colMatDraw" class="cotainer-init-screen__right-content">
    <nz-card class="main-model-organization-card">
      <div nz-row class="main-model-organization-card__row">
        <div nz-col nzSpan="8" class="main-model-organization-card__left position-relative">
          <mb-input-text [mbMaxLength]="255" (mbClick)="showModalOrg($event)"
            mbPlaceholderText="{{'modelOrganization.planYear.placeHoder.chooseUnit' | translate}}"
            mbLabelText="{{'modelOrganization.planYear.placeHoder.chooseUnit' | translate}}" [(ngModel)]="orgName"
            [mbReadOnly]="true"></mb-input-text>
          <em *ngIf="orgName" nz-icon class="main-model-organization-card__left__icon" (click)="clearOrgInput()"
            nzType="close-circle" nzTheme="outline"></em>
        </div>
        <div nz-col nzSpan="8" class="main-model-organization-card__right">
          <mb-select [mbDataSelects]="listJob" mbKeyLabel="jobName" mbKeyValue="jobId" mbLabelText="Job"
            mbPlaceholder="{{'modelOrganization.planYear.placeHoder.chooseJob' | translate}}" [mbOptionHeightPx]="55"
            [(ngModel)]="objectSearch.jobId"></mb-select>
        </div>
        <div nz-col nzSpan="8" class="main-model-organization-card__left">
          <mb-select [mbDataSelects]="listType" mbKeyLabel="name" mbKeyValue="id"
            mbLabelText="{{'modelOrganization.planYear.type' | translate}}"
            mbPlaceholder="{{'modelOrganization.planYear.placeHoder.chooseType' | translate}}" [mbOptionHeightPx]="55"
            [(ngModel)]="objectSearch.inputType"></mb-select>
        </div>
        <div nz-col nzSpan="24" class="main-model-organization-card__display">
          <div nz-col nzSpan="8" class="main-model-organization-card__left">
            <mb-select [mbDataSelects]="listYears" mbKeyLabel="value" mbKeyValue="value"
              mbLabelText="{{'modelOrganization.planYear.year' | translate}}"
              mbPlaceholder="{{'modelOrganization.planYear.placeHoder.chooseYear' | translate}}" [mbOptionHeightPx]="55"
              [(ngModel)]="objectSearch.year"></mb-select>
          </div>
          <div nz-col nzSpan="8" class="main-model-organization-card__left">
            <mb-date-picker mbFormat="dd/MM/yyyy" mbLabelText="{{'modelOrganization.planYear.effecDate' | translate}}"
              [(ngModel)]="objectSearch.fromDate"></mb-date-picker>
          </div>
          <div nz-col nzSpan="8" class="main-model-organization-card__right">
            <mb-select [mbDataSelects]="listStatus" mbKeyLabel="value" mbKeyValue="id"
              mbLabelText="{{'modelOrganization.planYear.status' | translate}}"
              mbPlaceholder="{{'modelOrganization.planYear.placeHoder.chooseStatus' | translate}}" [mbOptionHeightPx]="55"
              [(ngModel)]="objectSearch.flagStatus"></mb-select>
          </div>
        </div>
        <div nz-col nzSpan="24" class="main-model-organization-card__left justify-center">
          <div class="main-model-organization-card__button-search">
            <button nz-button nzType="primary" class="main-model-organization__right__button-primary"
              (click)="onSearch()">
              {{'common.button.search' | translate}}
            </button>
          </div>
          <div class="main-model-organization-card__button-excel">
            <button (click)="exportExcel()" nz-button nzType="primary" *ngIf="objFunction.export"
              class="main-model-organization__table-action__button-primary-excel">
              <img src="../../../../../assets/images/icon/excel.svg" class="main-model-organization__pading-img" alt=""/>
            </button>
          </div>
        </div>
      </div>
    </nz-card>
    <div class="ant-table-content">
      <nz-table class="table" #basicTable [nzData]="listData" [nzShowPagination]="false" nzTableLayout="fixed"
        [nzPageSize]="listSettingPaginationCustom.pageSize" [nzScroll]="listData?.length > 0 ? { x: '1520px',y:'320px' }: {}" [nzSize]="TABLE_SIZE">
        <thead>
          <tr class="table__white-space">
            <th scope="col" nzWidth="5%" nzLeft>STT</th>
            <th scope="col" nzWidth="5%">{{'modelOrganization.planYear.year' | translate}}</th>
            <th scope="col" nzWidth="10%">{{'modelOrganization.planYear.effecDate' | translate}}</th>
            <th scope="col" nzWidth="25%">{{'modelOrganization.planYear.unitName' | translate}}</th>
            <th scope="col" nzWidth="22%">Job</th>
            <th scope="col" nzWidth="6%">{{'modelOrganization.planYear.quantity' | translate}}</th>
            <th scope="col" nzWidth="10%"  class="text-center">{{'modelOrganization.planYear.status' | translate}}</th>
            <th scope="col" nzWidth="20%" nzRight>{{'modelOrganization.planYear.infoApprove' | translate}}</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let data of basicTable.data; let i = index">
            <td nzLeft>{{ i + listSettingPaginationCustom.pageSize * listSettingPaginationCustom.pageNumber + 1 }}</td>
            <td>{{data.periodCode}}</td>
            <td> {{ data.dateTime | date:'dd/MM/yyyy' }}</td>
            <td class="organization-name table__min-unit" nz-tooltip [nzTooltipTitle]="data.pathName">
              <span>
                {{ data.pathName }}
              </span>
            </td>
            <td class="table__min-width-job">{{data.jobName}}</td>
            <td>
              {{ data.headCount }}
            </td>
            <td align="center">
                <nz-tag [class]="renderFlagStatus(data.flagStatus).class">{{renderFlagStatus(data.flagStatus).text}}</nz-tag>
            </td>
            <td class="organization-reson" nzRight>
              <span nz-tooltip [nzTooltipTitle]="data.contents">{{data.contents}}</span>
            </td>
          </tr>
        </tbody>
      </nz-table>
    </div>
    <div class="pagination" *ngIf="listData.length > 0">
      <div class="pagination__table-info">
        <img class="pagination__table-info--icon" src="assets/images/icon/idea.svg" alt=""/>
        <span class="pagination__table-info--text"> {{'common.paging.rangePage' |
          translate:{result:listSettingPaginationCustom.totalElements} }}
          {{ listSettingPaginationCustom.pageSize * listSettingPaginationCustom.pageNumber + 1 }}
          {{'common.paging.to' | translate}}
          {{
          listSettingPaginationCustom.pageSize * listSettingPaginationCustom.pageNumber +
          listSettingPaginationCustom.numberOfElements
          }}</span>
      </div>
      <nz-pagination class="pagination__icon" [nzPageIndex]="listSettingPaginationCustom.pageNumber + 1"
        (nzPageIndexChange)="getListTemplateBasePagination($event)"
        [nzTotal]="listSettingPaginationCustom.totalElements" [nzPageSize]="listSettingPaginationCustom.pageSize">
      </nz-pagination>
    </div>
  </div>
</div>
